<div class="container-fluid text-center" *ngIf="books">
    <div class="search-container">
        <div class="input-group mb3">
            <input class="form-control" id="search-bar" type="search" [(ngModel)]="searchText" placeholder="Search for a book...">
            <button (click)="filterBooks(searchText, bookFilters)" class="btn btn-primary"><i class="fas fa-search"></i></button>
            <button (click)="toggleFilters()" class="btn btn-info"><i class="fas fa-filter"></i></button>
        </div>
    </div>
    <div class="filters text-center" [hidden]="isHidden">
        <checkbox-group [(ngModel)]="bookFilters">
            <div class="row">
                <div class="col-sm-2" *ngFor="let filter of filters">
                    <my-checkbox value="{{filter.value}}">
                    {{filter.name}}
                    </my-checkbox>
                </div>
            </div>
        </checkbox-group>
        <button class="btn btn-info" (click)="filterBooks(searchText, bookFilters)">Filter</button>
    </div>
    <div class="row">
        <div class="col-sm-4" *ngFor="let book of books">
            <div class="book-card card" style="width: 18rem;">
                <img class="card-img-top" src="{{(book.image_url) ? book.image : '../../../assets/book-placholder.jpg'}}">
                <div class="card-body">
                    <h5 class="card-title">{{book.title}}</h5>
                    <h6 class="card-subtitle">Author: {{book.author}}</h6><br>
                    <p class="card-text">Genre: {{book.genre}}</p>
                    <p class="card-text">Section: {{book.section}}</p>
                    <p class="card-text">Status: {{book.status}}</p>
                    <button (click)="updateStatus(book)" class="btn btn-primary">{{markButtonText}}</button>
                    <a href="/update/{{book.id}}" class="btn btn-info">Update</a>
                    <button (click)="deleteBook(book.id)" class="btn btn-danger">Delete</button>
                </div>
            </div>
        </div>
    </div>
    <h1 [hidden]="books" class="center-content">No Books Found</h1>
</div>